## v1.7.1

* [#80] Fixes support for S3 and Ubuntu. Thanks to @ephess.

## v1.7.0

* [#71] Added support for using S3 as an artifact deployment source.

## v1.6.0

* [#70] Added a new LWRP, artifact\_file which wraps remote_file with some retry logic for corrupt downloads. Also uses the configured Nexus server to check Nexus downloads.
* Use artifact\_file for downloading HTTP or Nexus artifacts in artifact\_deploy.
* [#28] Add a new attribute for deleting the currently deployed artifact when a force deploy is issued. Useful for local iteration on a changing artifact with the same version.
* [#60] Add retries to execute resources for tar extraction.
* [#66], [#67] Cache the Encrypted Data Bag Item for Nexus. Looks for an environment-named data bag item, then "\_wildcard", and finally "nexus" for backwards compatibility.
* Support RSpec testing of the Library files.
* [#65] Support Test-Kitchen

## v1.5.0

* Add a new attribute for skipping the manifest creation and checking for an artifact. Useful for large artifacts.

## v1.4.0

* Add Windows support.
* Add a new attribute for removing a top level directory from the extracted zip file.

## v1.3.1

* Fix a bug where Nokogiri was still used.

## v1.3.0

* Use a newer nexus_cli gem which removes the requirement of installed libxml and libxslt packages.

## v1.2.0

Bug Fixes
* [#50] Now actually SHA1 hashing the files themselves as opposed to hashing the String of the path to the file.
* [#52] Manifest generation now ignores symlinked files and directories.

## v1.1.2

Bug Fixes
* case statement for extract_artifact! was not matching '.tar.gz' files correctly.

## v1.1.1

Bug Fixes
* [#47] Regex was matching some special characters like '-'.

## v1.1.0:

Major Improvements
* New, simpler API for Chef::Artifact.get_actual_version.
* Added an ssl_verify attribute to the resource to help facilitate communications with Nexus servers that have invalid SSL certs.

Bug Fixes
* [#45] Add a better check to ensure we don't redownload artifacts we already have.
* [#42] Deleting previous versions now uses Chef resources and is hopefully a bit more clear.
* [#35] Throw an error if the resource's name attribute has whitespace.
* Symlinks are now created in the symlink_it_up! method using recipe_eval. This helps ensure a clearer picture of the flow during the Chef run.
* Better logging throughout.

## v1.0.0:

Major Improvements
* Entirely new :deploy action flow. Please see the flowchart on the readme for a greater explanation.
* New :pre_seed action. This action will setup directories and download a the configured artifact.

Bug Fixes
* [#37] Remove the circular dependency on the nexus-cookbook.
* [#33] No longer default to not verifying SSL connections when using the nexus-cli gem.
* [#29] Better handling of various types of archives. Now supports tar, tgz, bz, and zips.